package main

import "fmt"

func main() {
	var a int
	var b string
	var c float64
	var d bool

	fmt.Printf("var a %T = %d\n", a, a)
	fmt.Printf("var b %T = %q\n", b, b)
	fmt.Printf("var c %T = %f\n", c, c)
	fmt.Printf("var d %T = %t\n\n", d, d)
}

/* output
var a int = 0
var b string = ""
var c float64 = 0.000000
var d bool = false
*/
